[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [patch] add GNU/kFreeBSD fstab and init



On 22/07/2009, Luca Favatella <slackydeb@gmail.com> wrote:
> This patch adds GNU/kFreeBSD /etc/fstab and /sbin/init.
> Please carefully review it.

Now the patch should be really attached.
Sorry for the noise.
Index: debian/changelog
===================================================================
--- debian/changelog	(.../trunk/packages/rootskel)	(revision 59603)
+++ debian/changelog	(.../branches/d-i/kfreebsd/packages/rootskel)	(revision 59603)
@@ -6,6 +6,8 @@
   [ Luca Favatella ]
   * Generalize code splitting Linux specific stuff.
   * GNU/kFreeBSD does not need klibc and udev.
+  * Add GNU/kFreeBSD /etc/fstab.
+  * Add GNU/kFreeBSD /sbin/init.
 
   [ Otavio Salvador ]
   * Unix socket support is built-in since long ago so we don't need to
Index: src/etc/fstab-kfreebsd
===================================================================
--- src/etc/fstab-kfreebsd	(.../trunk/packages/rootskel)	(revision 0)
+++ src/etc/fstab-kfreebsd	(.../branches/d-i/kfreebsd/packages/rootskel)	(revision 59603)
@@ -0,0 +1 @@
+none		/proc		linprocfs	defaults        0	0
Index: src/sbin/init-kfreebsd
===================================================================
--- src/sbin/init-kfreebsd	(.../trunk/packages/rootskel)	(revision 0)
+++ src/sbin/init-kfreebsd	(.../branches/d-i/kfreebsd/packages/rootskel)	(revision 59603)
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Set up filesystem as root and pivot into it.
+
+export PATH=/sbin:/bin:/usr/sbin:/usr/bin
+exec < /dev/console > /dev/console 2> /dev/console
+export TERM=cons25
+
+export BOOT_DEBUG=2
+
+trap "echo \"Something wicked happened.  Press enter for rescue shell.\" ; read NULL ; exec sh" 0
+set -e
+
+. /lib/debian-installer/init-debug
+debugshell "just booted"
+
+echo "Setting up filesystem, please wait ..."
+mount -o update,rw -t ufs /dev/md0 /
+mount -t devfs devfs /dev/
+mount /proc
+ln -s /var/run/log /dev/log
+
+# Close all open files on the initrd, and run busybox init.
+debugshell "before init"
+exec /usr/sbin/chroot . /bin/busybox init < /dev/console > /dev/console 2>&1

Property changes on: src/sbin/init-kfreebsd
___________________________________________________________________
Added: svn:executable
   + *


Reply to: